*** commands and functions
***
*** This application will handle data entry and edit of a phone book

*** Written by David Schwartz
*** Written on 09/11/90
*** Written using Beta 81 Clipper 5.0

Setup()			// Check for existance of Database and Index files
Main_Mnu()	// Main Menu Routine
@20,0 Say ""
QUIT






**************
Function Setup
	**************
	// check for existance of database files, and re-create if not found
	// check for existance of related index files, and re-create of not found

	IF !FILE("Phone.dbf")					// Check for existance of Phone database
		KreateDBF("Phone")
	ENDIF
	IF !FILE("LName.Ntx")						// Check for existance of LName Index file
		IF NetUse("Phone",.T.,5)
			INDEX ON LName to LName
			CLOSE DATA
		ELSE
			CLEAR
			@12,12 SAY "PHONE.NTX not present, and Could not reindex while"
			@13,12 SAY "other users are on the system. Please try again"
			@14,12 SAY "after all other users have logged off"
		 	@23,00 SAY ""
		ENDIF
 	
	ENDIF

	SET CURSOR OFF
	SET CONFIRM OFF
	SET BELL OFF
	SET WRAP ON
	SET SCORE OFF
	RETURN(NIL)	
	** EOF(Setup) 


	******************
Function KreateDBF
	******************
	DBF:={}
	AADD(Dbf,{"Fname","C",15,0})
	AADD(Dbf,{"Lname","C",20,0})
	AADD(Dbf,{"Address","C",20,0})
	AADD(Dbf,{"City","C",15,0})
	AADD(Dbf,{"State","C",2,0})
	AADD(Dbf,{"Zip","C",10,0})
	AADD(Dbf,{"HPhone","C",14,0})
	AADD(Dbf,{"WPhone","C",14,0})
	//
	DBCREATE("Phone",Dbf)
	CLOSE ALL
	RETURN(NIL)
	** EOF(KreateDBF) 


